Bug 1615800 - Export list of content host do not honour search filter
Summary: Export list of content host do not honour search filter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
: 1604457 (view as bug list)
Depends On:
Blocks: 1464219
TreeView+ depends on / blocked
 
Reported: 2018-08-14 09:39 UTC by Nikhil Kathole
Modified: 2019-10-07 17:19 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-katello-3.9.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:57 UTC
Foreman Issue Tracker 25226 None None None 2018-10-17 20:22:56 UTC

Description Nikhil Kathole 2018-08-14 09:39:19 UTC
Description of problem: 

Exporting list of content host on the basis of search filter result added all content hosts in csv file.

Version-Release number of selected component (if applicable):

Satellite 6.4 snap 17


How reproducible: always


Steps to Reproduce:
1. Navigate to Hosts-> content host (Have some hosts in satellite)
2. Search for any host pattern (such as os_title ~ "RHEL Server 7.5")
3. Click on export

Actual results:
All the hosts info in satellite get exported in csv.


Expected results:

only filtered host info should present in csv.


Additional info: This works as expected at Hosts -> All hosts page. (Export on content host page is newly added in sat 6.4)

Comment 3 Brad Buckingham 2018-08-14 13:07:26 UTC
Hi Tomer,

This was opened while verifying bug 1464219.  Is this a bug or RFE?

If I recall correctly, the Export CSV does not honor search filters or paging.  If so, I was unsure if this is intentional.

Comment 4 Tomer Brisker 2018-08-14 15:00:12 UTC
CSV export should respect search filters (as well as org/loc context). It should only ignore pagination. (and ordering which is ignored for performance reasons)

Comment 7 Samir Jha 2018-10-17 20:22:54 UTC
Created redmine issue http://projects.theforeman.org/issues/25226 from this bug

Comment 8 pm-sat@redhat.com 2018-10-25 14:06:24 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25226 has been resolved.

Comment 11 Nikhil Kathole 2018-12-12 10:42:03 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 7 

Successfully exported only list of hosts which are filtered.

Comment 15 errata-xmlrpc 2019-05-14 12:37:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222

Comment 16 Brad Buckingham 2019-07-10 20:56:24 UTC
*** Bug 1604457 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.